# dkim_getresultstr()

[back to index]

SYNOPSIS

    #include <dkim.h>

    const char * dkim_getresultstr(
    	DKIM_STAT result
    );

Retrieve a text conversion for a `DKIM_STAT` result code.

DESCRIPTION

Called When | `dkim_getresultstr()` can be called at any time after a function that returns a `DKIM_STAT` result code.

ARGUMENTS

Argument | Description
--- | ---
result | A `DKIM_STAT` result code to be translated.

RETURN VALUES

Value | Description
--- | ---
`NULL` | The value of `result` was not recognized.
otherwise | A pointer to a NULL-terminated string containing a text translation of `result`.

NOTES

- None.

Copyright (c) 2007 Sendmail, Inc. and its suppliers. All rights reserved.
Copyright (c) 2009, 2010, The Trusted Domain Project. All rights reserved.
By using this file, you agree to the terms and conditions set forth in the respective licenses.